Get resource user
curl --request GET \
--url https://api.opal.dev/v1/resources/{resource_id}/users/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/resources/{resource_id}/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/resources/{resource_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"full_name": "Jake Barnes",
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"resource_id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"expiration_date": "2022-01-23T04:56:07.000Z",
"email": "jake@company.dev"
}
],
"cursor": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
"total_count": 120
}Returns information about a specific user’s access to a resource.
GET
/
resources
/
{resource_id}
/
users
/
{user_id}
Get resource user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource.
The ID of the user.
Query Parameters
The pagination cursor value.
Last modified on August 13, 2026
Was this page helpful?
⌘I